/********************************************************/
/*                      gerror.h                        */
/* ---------------------------------------------------- */
/* Guig                                                 */
/********************************************************/
/*
 * CVS log:
 *
 * $Author: gravier $
 * $Date $
 * $Revision: 1.2 $
 *
 */
/*
 * A nice function for error reporting taken as is in the Sirocco
 * project. Thanks Francois for that nice piece of code.
 *
 */

#ifndef _gerror_h_
#define _gerror_h_

#define switcherr(c) gerror(ARGS_ERR,"Expecting argument -- %c\n",c); return(false)

     /* ---------------------------- */
     /* ----- Type definitions ----- */
     /* ---------------------------- */

typedef long err_t;

     /* ------------------------------ */
     /* ----- Funtion prototypes ----- */
     /* ------------------------------ */

err_t gerror(const err_t,const char *, ...);

#ifdef _gerror_c_

#define MAX_ERROR_LENGTH      (512)
#define MAX_FORMAT_LENGTH      (10)
#define FORMAT_START          ('%')
#define VALID_FORMATS         ((char *)"cdeEfGgiosu%")

#endif /* _gerror_c_ */

#endif /* _gerror_h_ */
